# Interface RcsbFv3DCustomAbstractInterface<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- RcsbFv3DCustomAbstractInterface

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:13

#####
Index

### Properties

cssConfig?
elementId
sequenceConfig
structureConfig
structureViewer
structureViewerBehaviourObserver

## Properties

### `Optional` cssConfig

cssConfig?: RcsbFv3DCssConfig

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:15

### elementId

elementId: string

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:14

### sequenceConfig

sequenceConfig: RcsbFvCustomSequenceInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:16

### structureConfig

structureConfig: RcsbFvStructureConfigInterface<R, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:17

### structureViewer

structureViewer: StructureViewerInterface<R, L, S>

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:18

### structureViewerBehaviourObserver

structureViewerBehaviourObserver: StructureViewerBehaviourObserverInterface<R, L>

- Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:19

Generated using TypeDoc